Subject: bug#53945: saveplace should save the buffer's mark list too

From: emacsq <[email-masked]>
Date: Fri, 11 Feb 2022 21:36:06 +0000

saveplace is great when I open a file and I'm right there where I was last time.

But sometimes I remember being at various locations in the file and I want to quickly visit some of them via the mark ring, but alas the mark ring is not restored.

The mark locations are also places in a file, so saveplace should save and restore the buffer's mark ring too, in addition to the last cursor location, so that the mark ring info is not lost.